% [ TIME-DOMAIN-CHN-USS/README.m ]
%
% Implementation of CHN and/or USS filtering, to produce a filtered
% waveform.  The second implementation is probably best for listening
% purposes.
%
% See IDIAP RR 06-09.
%
% By Guillaume Lathoud - lathoud@idiap.ch - 2006.

clear par
par.input_filename = 'DATA/Aurora-A-N1SNR05-FCJ_Z2319Z9A.08';
par.input_format   = 'raw-be';
par.fs             = 8000;
par.frameshift_sec = 0.010;
par.framelength_sec = 0.025;

a_str = '';
par.do_chn = 1;  if par.do_chn, a_str = [ a_str '.chn' ]; end;
par.do_uss = 1;  if par.do_uss, a_str = [ a_str '.uss' ]; end;

par.output_filename = [ 'DATA/Aurora-A-N1SNR05-FCJ_Z2319Z9A' a_str '.wav' ];

par.debug = 0;  % Set to 1 if you want to see some figures

s060719_timedomain_chnuss( par );

%%% Slight variation: CHN in the time domain, then USS
%%% Probably better for listening purposes.
%%% (ASR performances are similar).

clear par
par.input_filename = 'DATA/Aurora-A-N1SNR05-FCJ_Z2319Z9A.08';
par.input_format   = 'raw-be';
par.fs             = 8000;
par.frameshift_sec = 0.010;
par.framelength_sec = 0.025;

a_str = '';
par.do_chn = 1;  if par.do_chn, a_str = [ a_str '.chn' ]; end;
par.do_uss = 1;  if par.do_uss, a_str = [ a_str '.uss' ]; end;

par.output_filename = [ 'DATA/Aurora-A-N1SNR05-FCJ_Z2319Z9A' a_str '.2.wav' ];

par.debug = 0;  % Set to 1 if you want to see some figures

s060719_timedomain_chnuss2( par );
